package de.ozgcloud.alfa;

import java.util.List;
import java.util.stream.Stream;

import org.springframework.hateoas.Link;

import com.thedeanda.lorem.LoremIpsum;

public class LinkTestFactory {

	public static Link create() {
		return Link.of(LoremIpsum.getInstance().getUrl());
	}

	public static List<Link> createList(int size) {
		return Stream.iterate(0, i -> i + 1).limit(size).map(i -> create()).toList();
	}
}
